# Class Geodesic

java.lang.Object
org.jmol.util.Geodesic

public class Geodesic extends Object
J2SRequireImport is needed because we use ArrayUtil in a static method

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`standardLevel`
3 levels, 0 through 3

## Constructor Summary

Constructors
Constructor
Description
`Geodesic()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`createGeodesic(int lvl)`
/////////// private methods ///////////////
`static short[]`
`getFaceVertexes(int level)`
`static short[][]`
`getNeighborVertexesArrays()`
`static short`
`getVertexCount(int level)`
`static V3`
`getVertexVector(int i)`
`static V3[]`
`getVertexVectors()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### standardLevel

public static final int standardLevel
3 levels, 0 through 3

See Also:
  - Constant Field Values

## Constructor Details

### Geodesic

public Geodesic()

## Method Details

### getNeighborVertexesArrays

public static short[][] getNeighborVertexesArrays()

### getVertexCount

public static short getVertexCount(int level)

### getVertexVectors

public static V3[] getVertexVectors()

### getVertexVector

public static V3 getVertexVector(int i)

### getFaceVertexes

public static short[] getFaceVertexes(int level)

### createGeodesic

public static void createGeodesic(int lvl)
/////////// private methods ///////////////